Boomi API Control Plane REST API - PlatformTypes
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Manage platform types that define the technology stack of API gateways. Supports listing built-in platform types and creating, updating, and deleting custom platform types for use with the Agent SDK.
Get a platform type
Get a platform type by id.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| displayName required | string Display name for this platform type. |
required | Array of objects (PlatformTypeProperty) Properties specific for this platform type. |
| type required | string User-specified platform type |
| id | string Unique ID of this platform type, read-only. |
| custom | boolean True for user-defined platform type. |
| hasImage | boolean True if logo has been uploaded. |
| updatedAt | string <date-time> |
Response samples
- 200
- default
{- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string",
- "updatedAt": "2019-08-24T14:15:22Z"
}Update a platform type
Update a platform type. Only custom platform types can be updated.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| displayName required | string Display name for this platform type. |
required | Array of objects (PlatformTypeProperty) Properties specific for this platform type. |
| type required | string User-specified platform type |
| id | string Unique ID of this platform type, read-only. |
| custom | boolean True for user-defined platform type. |
| hasImage | boolean True if logo has been uploaded. |
Responses
Response Schema: application/json
| displayName required | string Display name for this platform type. |
required | Array of objects (PlatformTypeProperty) Properties specific for this platform type. |
| type required | string User-specified platform type |
| id | string Unique ID of this platform type, read-only. |
| custom | boolean True for user-defined platform type. |
| hasImage | boolean True if logo has been uploaded. |
| updatedAt | string <date-time> |
Request samples
- Payload
{- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string"
}Response samples
- 200
- default
{- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string",
- "updatedAt": "2019-08-24T14:15:22Z"
}Delete a platform type
Delete a platform type. Only custom platform types can be deleted. Cannot delete if used by API gateways or APIs.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Get platform type icon
Get icon for a platform type, if present.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema:
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload platform type icon
Upload image file for use as the icon of a custom platform type. If an icon for this platform type already exists, it will be overwritten.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List platform types
Get a filtered list of all platform types.
Authorizations:
query Parameters
| custom | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (PlatformTypeDTO) List of PlatformTypeDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string",
- "updatedAt": "2019-08-24T14:15:22Z"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create a platform type
Create a new platform type for use with custom agents.
Authorizations:
Request Body schema: application/jsonrequired
| displayName required | string Display name for this platform type. |
required | Array of objects (PlatformTypeProperty) Properties specific for this platform type. |
| type required | string User-specified platform type |
| id | string Unique ID of this platform type, read-only. |
| custom | boolean True for user-defined platform type. |
| hasImage | boolean True if logo has been uploaded. |
Responses
Response Schema: application/json
| displayName required | string Display name for this platform type. |
required | Array of objects (PlatformTypeProperty) Properties specific for this platform type. |
| type required | string User-specified platform type |
| id | string Unique ID of this platform type, read-only. |
| custom | boolean True for user-defined platform type. |
| hasImage | boolean True if logo has been uploaded. |
| updatedAt | string <date-time> |
Request samples
- Payload
{- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string"
}Response samples
- 200
- default
{- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string",
- "updatedAt": "2019-08-24T14:15:22Z"
}Check if a platform type can be deleted
Check if a platform type can be deleted. Platform types can only be deleted if they are not used by any API Gateway.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| operationAllowed required | boolean True if the requested operation is allowed. |
Response samples
- 200
- default
{- "operationAllowed": true
}Get a platform type by type
Get a platform type by type.
Authorizations:
path Parameters
| type required | string |
Responses
Response Schema: application/json
| displayName required | string Display name for this platform type. |
required | Array of objects (PlatformTypeProperty) Properties specific for this platform type. |
| type required | string User-specified platform type |
| id | string Unique ID of this platform type, read-only. |
| custom | boolean True for user-defined platform type. |
| hasImage | boolean True if logo has been uploaded. |
| updatedAt | string <date-time> |
Response samples
- 200
- default
{- "type": "string",
- "id": "string",
- "custom": true,
- "properties": [
- {
- "fieldName": "string",
- "description": "string"
}
], - "hasImage": true,
- "displayName": "string",
- "updatedAt": "2019-08-24T14:15:22Z"
}